opal/mca/base/mca_base_param_internal.h File Reference.TH "opal/mca/base/mca_base_param_internal.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
opal/mca/base/mca_base_param_internal.h \- This is the private declarations for the MCA parameter system. 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br
\fC#include 'opal/class/opal_object.h'\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br
\fC#include 'class/opal_hash_table.h'\fP
.br
\fC#include 'mca/base/mca_base_param.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef mca_base_param_t \fBmca_base_param_t\fP"
.br
.ti -1c
.RI "typedef mca_base_param_file_value_t \fBmca_base_param_file_value_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (mca_base_param_t)"
.br
.ti -1c
.RI "\fBOBJ_CLASS_DECLARATION\fP (mca_base_param_file_value_t)"
.br
.RI "\fIObject declaration for mca_base_param_file_value_t. \fP"
.ti -1c
.RI "int \fBmca_base_parse_paramfile\fP (const char *paramfile)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBopal_list_t\fP \fBmca_base_param_file_values\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
This is the private declarations for the MCA parameter system. 

This file is internal to the MCA parameter system and should not need to be used by any other elements in Open MPI except the special case of the ompi_info command.
.PP
All the rest of the doxygen documentation in this file is marked as 'internal' and won't show up unless you specifically tell doxygen to generate internal documentation (by default, it is skipped).
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
